Bug 278445

Summary: please add a way to see position in playing track without bringing up Amarok (system tray entry tooltip)
Product: [Applications] amarok Reporter: Philippe Cloutier <chealer>
Component: NotificationsAssignee: Amarok Developers <amarok-bugs-dist>
Status: REPORTED ---    
Severity: wishlist    
Priority: NOR    
Version: 2.4.2 (unreleased)   
Target Milestone: 2.4.3   
Platform: Unlisted Binaries   
OS: All   
Latest Commit: Version Fixed In: 2.5

Description Philippe Cloutier 2011-07-25 06:31:50 UTC
Amarok 1 used to show the (relative) position in the track being played in its system tray icon. For example, if the track was half-played, the systray icon would show as half-"filled" and half-"empty".

This feature was apparently removed at some point, which is not really a bad thing, because the feature was non-obvious - you noticed as some point the icon was different and only eventually figured what it meant.

It would nevertheless be nice to have again a way to see this information. If the system tray icon is too compact to allow that, it would be nice to be able to get this information from the tooltip. That tooltip currently shows the track's length, just not the position. I don't know if the tooltip can be updated while it's showing as the track advances - it would be welcome either way.
Comment 1 Sam Lade 2011-07-28 15:21:51 UTC
Git commit 19443f1b7b92bb451e6fd8c25f2dbd10b53363d0 by Sam Lade.
Committed on 25/07/2011 at 20:47.
Pushed by lade into branch 'master'.

Show play progress in tray icon tooltip

FEATURE:278445
FIXED-IN:2.4.4

M  +4    -0    ChangeLog
M  +2    -1    src/EngineController.h
M  +15   -2    src/TrayIcon.cpp
M  +1    -0    src/TrayIcon.h
M  +6    -2    src/EngineController.cpp

http://commits.kde.org/amarok/19443f1b7b92bb451e6fd8c25f2dbd10b53363d0
Comment 2 Philippe Cloutier 2011-12-27 03:07:51 UTC
Thank you Sam.
Are there conditions in which position does not display? I am seeing for example:
Inferno (Unleash The Fire) by Symphony X on The Odyssey (5:32)
Volume: 85%
Score: 83.33
Play count: 3
Last played: November 2011

Using Amarok 2.5.0.
Comment 3 Philippe Cloutier 2012-01-04 21:31:00 UTC
This feature is no longer present, although there is still code for it. The code was apparently "disabled". I couldn't see the feature so I asked Sam on IRC. This was his reply:

[2012-01-04 15:52:40] <chealer> hi Sentynel. did you see my question in https://bugs.kde.org/show_bug.cgi?id=278445 ?
[2012-01-04 15:52:46] <bugbot> KDE bug 278445 in amarok (Notifications) "please add a way to see position in playing track without bringing up Amarok (system tray entry tooltip)" [Wishlist,Resolved: fixed] 
[2012-01-04 15:53:24] <Sentynel> chealer: it got removed again as it was causing cpu usage issues with dbus

I do not have details on the issue and on which commit disabled.